### has_service

    template<
        typename Service>
    bool has_service(
        execution_context & e);

This function is used to determine whether the `execution_context` contains a service object corresponding to the given service type.

##### Parameters

e

  The `execution_context` object that owns the service.

##### Return Value

A boolean indicating whether the `execution_context` contains the service.

##### Requirements

Header: `asio/impl/execution_context.hpp`

Convenience header: `asio.hpp`